## sugar-base-0.98 0.98.0

=== debian/changelog ===
sugar-base-0.98 (0.98.0-2) unstable; urgency=medium

  * Track xz compressed upstream tarballs (but favor bzip2).
  * Update package relations:
    + Fix stop recommend bogus sugar-*.
      Closes: bug#782468.
    + Relax to build-depend unversioned on python-gobject-dev without
      fallback, and depend unversioned on python-gobject: Needed
      versions satisfied even in oldstable.
  * Bump debhelper compatibility level to 8.
  * Declare compliance with Debian Policy 3.9.6.
  * Move packaging to Debian Sugar Team.
  * Move to section oldlibs: Deprecated upstream.
  * Wrap and sort Uploaders and package relations fields.
  * Update copyright info:
    + Extend coverage for myself.
    + Relicense packaging as GPL-3+.
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Merge same-licensed Files sections, and rewrap at 72 chars.
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Modernize long description, and mention deprecation.
  * Stop track upstream tarball checksum.
  * Mention relevancy of suggested ipython in long description and
    README.Debian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2015 09:45:22 +0200

sugar-base-0.98 (0.98.0-1) unstable; urgency=low

  * New upstream release
  * Switch packaging to upstream branch 0.98
  * Added myself to Uploaders
  * Bump standards-version to 3.9.4

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 07 Sep 2013 00:55:13 +0200

sugar-base-0.96 (0.96.0-1) unstable; urgency=low

  * New upstream release.

  * Use anonscm.debian.org for Vcs-Browser field.
  * Refresh patch 1001.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Fix concistently use ~ (not ˜) in derivative License shortnames.
  * Fix typo in long description.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2012 18:54:11 +0200

sugar-base-0.92 (0.92.0-1) unstable; urgency=low

  * New upstream release.

  * Switch packaging to upstream branch 0.92.
  * Update copyright file: Extend years.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2011 01:28:04 +0200

sugar-base-0.90 (0.90.1-2) unstable; urgency=low

  * Update README.source to not mention quilt: Source format 3.0 use it
    internally, but there it is standard and thus need no mention here.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 syntax.
    + Fix use exceptions (not bogus License sections).
    + Tighten License section naming.
  * Add patch 1001 to add compatibility with ipython 0.11.
    Closes: bug#635289. Thanks to Julian Taylor.
  * Bump policy compliance to standards-version 3.9.2.
  * Remove la file.
    Closes: bug#633235.
  * Use Python helper python2 (not pycentral).
    Closes: bug#617082.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2011 00:41:13 +0200

sugar-base-0.90 (0.90.1-1) unstable; urgency=low

  * New upstream stable release.
  * Switch packaging to upstream branch 0.90.
  * Improve copyright file:
    + Add comment on Expat variation.
    + Rename and tighten other-GAP-* sections.
    + List license section of most commonly used LGPL-2+ before GPL-2+.
    + Fix replace license section MIT with Expat and other-X.
  * Bump Policy compliance to standards-version 3.9.1.
  * Append _DEFAULT to deprecated CDBS variables in rules file.
  * Shorten Vcs-* stanzas.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 15:47:24 +0200

sugar-base-0.88 (0.88.0-1) unstable; urgency=low

  * New upstream stable release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-all-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.
  * Drop patches: Upstream includes danish l10n now.
  * Update debian/copyright:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 17:18:37 +0200

sugar-base-0.88 (0.87.1-1) unstable; urgency=low

  * New upstream development release.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 15:22:39 +0100

sugar-base-0.88 (0.86.0-1) experimental; urgency=low

  * Switch packaging to branch 0.88.
  * Release for experimental, as not all parts of 0.88 branch are
    packaged yet.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Nov 2009 21:02:00 +0100

sugar-base-0.86 (0.86.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Sep 2009 17:48:04 +0200

sugar-base-0.86 (0.85.6-1) unstable; urgency=low

  * New upstream development release.
  * Simplify watch file (we want to watch too new files too).
  * Fix include cdbs-declared dependencies (i.e. fix depend on
    python-decorator).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Sep 2009 21:02:46 +0200

sugar-base-0.86 (0.85.5-1) unstable; urgency=low

  * New upstream development release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2009 21:40:32 +0200

sugar-base-0.86 (0.85.4-1) unstable; urgency=low

  * New upstream development release.
  * Fix licensing of libtool files in debian/copyright (Eazel author
    only of m4/intltool.m4, no new licenses).
  * Set non-build dependencies using recursively-expanded variables
    ("=", not ":=") in debian/rules.
  * Depend on python-decorator.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2009 20:13:32 +0200


