=== debian/control ===
Source: sugar-base-0.98
Section: oldlibs
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: cdbs (>= 0.4.90~),
 autotools-dev,
 devscripts,
 debhelper,
 dh-buildinfo,
 python,
 python-all-dev,
 python-gtk2-dev,
 python-gobject-dev,
 intltool,
 chrpath
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-base
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-base.git
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: python-sugar-0.98
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar graphical shell - legacy core functionality
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 This package contains some deprecated yet still widely used base
 modules for Sugar.  Please use python-sugar3 instead where possible.
 .
 To get prettier tracebacks if things break, install ipython.
